from django.contrib.auth import authenticate, login, logout


def do_login(request):
	user = authenticate(username=request.POST.get('username', 'none'),
						password=request.POST.get('password', 'none'))
	if user is not None:
		login(request, user)
		return True, "ok"
	return False, "login_failed"


def do_logout(request):
	if request.user.is_authenticated:
		logout(request)
		return True, "logout"
	return False, "logout_failed"