from .models import *
from .forms import *

from django.http import JsonResponse

def cities(request):
    X = Subject.objects.all().values_list('city').distinct()
    return JsonResponse({
        "cities" : [x[0] for x in X]
    })


def countries(request):
    X = Subject.objects.all().values_list('country').distinct()
    return JsonResponse({
        "countries" : [x[0] for x in X]
    })


def specializations(request):
    X = Worker.objects.all().values_list('specialization').distinct()
    return JsonResponse({
        "specializations" : [x[0] for x in X]
    })


def units(request):
    X = Worker.objects.all().values_list('unit').distinct()
    return JsonResponse({
        "units" : [x[0] for x in X]
    })
